Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
revenue
/
history
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.revenue.lucidGetAgentRevenueHistory({
    agentId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "history": [
    {
      "run_id": "<string>",
      "total_amount_lamports": "<string>",
      "recipients": [
        {
          "address": "<string>",
          "role": "<string>",
          "bps": 123,
          "amount_lamports": "<string>"
        }
      ],
      "created_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

agentId
string
required

Agent passport identifier for payout history

Response

OK

success
boolean
required
history
object[]
required